=== debian/changelog ===
glances (3.1.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #939073).
  * debian/control
    + Add ${sphinxdoc:Depends} in Depends.
    + Bump to Standards-Version 4.4.1 (no changes needed).
    + Mark Rules-Requires-Root: no as we don't need root for building.
  * debian/patches
    + Add 006_fix_broken_method_call.patch.
    + Add 007_fix_SyntaxWarning.patch.
    + Refresh 004_disable-pypi.patch.
    + Refresh 005_fix-typo.patch.
  * Now glances server listen in 127.0.0.1 (Closes: #942162).
    + Read README.Debian file for more info.
  * Update lintian-overrides file.

 -- Daniel Echeverry <epsilon@debian.org>  Fri, 17 Jan 2020 22:14:31 -0500

glances (3.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #932741)
  * debian/control
    + Update DH 12 in B-D.
    + Bump to Standards-Version 4.4.0 (no changes needed)
    + Add python3-pynvml in Suggests field. (Closes: #927116)
    + Add Pre-Depends field.
  * debian/patches
    + Refresh 005_fix-typo.patch patch.
  * Use debhelper-compat instead of debian/compat.
  * debian/rules
    + Remove dh_installchangelog because isn't necessary.
    + Add dh_missing override to delete doctree dir.
    + Remove egg-info files in dh_auto_clean override.
  * Remove some unused lintian overrides.

 -- Daniel Echeverry <epsilon@debian.org>  Mon, 19 Aug 2019 12:15:00 -0500
