## glances 3.1.4.1

=== debian/changelog ===
glances (3.1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump to Standards-Version 4.5.0 (no changes needed).
  * debian/patches
    + Remove 006_fix_broken_method_call.patch
    + Remove 007_fix_SyntaxWarning.patch.
      + Merge with upstream.
  * debian/upstream/metadata
    + Add Bug-Database and Bug-Submit fields.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 25 Mar 2020 20:19:44 -0500
