=== debian/changelog ===
glances (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update debhelper-compat 13.
    + Update my lastname.
    + Remove node-normalize.css in Depends field.
    + Add libjs-sphinxdoc, node-html5shiv in Depends field.
  * debian/glances.links
    + Remove some links because aren't necessary.
  * debian/glances-doc.links
    + Add new symlinks to use Debian  JavaScript libraries.
  * debian/rules
    + Don't install embedded copy of JavaScript libraries.
  * debian/patches
    + Refresh debian/patches/005_fix-typo.patch.
    + Forwarded 001_reproducible-build.patch to upstream.
    + Other patches forwarded not-needed.
  * Add debian/glances.lintian-overrides file.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 04 Oct 2020 22:42:34 -0500
