=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
-Build-Depends: debhelper (>= 12~),
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-psutil,
@@ -21,7 +20,6 @@
 Architecture: all
 Depends: adduser,
          lsb-base (>=3.0-6),
-         node-normalize.css,
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -50,6 +48,8 @@
          fonts-roboto-slab,
          libjs-jquery,
          libjs-underscore,
+	 libjs-sphinxdoc,
+         node-html5shiv,
          ${misc:Depends},
 	 ${sphinxdoc:Depends}
 Suggests: glances
