=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,15 @@
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
 	# Remove embedded code copies
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
+	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
+	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/doctools.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/language_data.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/searchtools.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/js/html5shiv-printshiv.min.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/js/html5shiv.min.js
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
