## glances 3.2.3.1+dfsg

=== requirements.txt ===
psutil>=5.3.0
defusedxml
future
