=== debian/changelog ===
glances (3.2.3.1+dfsg-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Move hddtemp, lm-sensors, python3-netifaces to Depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 07 Dec 2021 08:52:00 -0500

glances (3.2.3.1+dfsg-1) unstable; urgency=medium

  [Alexis Murzeau]
  * Remove Exclude prebuilt javascript files. (Closes: #990340)
    + Please see this MR for the full changes.
      + https://salsa.debian.org/debian/glances/-/merge_requests/2
        + Thanks to Alexis for the work!

  [Daniel Echeverri]
  * New upstream release.
  * debian/control
    + Add python3-defusedxml and python3-sphinx-rtd-theme in B-D.
    + Bump to Standards-Version 4.6.0.1 (no changes needed).
  * debian/patches
    + Add 007_disable_ip_module_by_default.diff patch.
      + Disable ip module by default. (Closes: #850258)
    + Remove 001_reproducible-build.patch.
      + Merge with upstream
    + Remove 005_fix-typo.patch.
      + Merge with upstream
    + Refresh 004_disable-pypi.patch.
  * Add entry in README.debian file.
  * Remove lintian overrides.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 07 Nov 2021 19:35:20 -0500
