=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -9,8 +10,9 @@
                python3-psutil,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+	       python3-defusedxml,
+	       python3-sphinx-rtd-theme
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://nicolargo.github.com/glances/
@@ -21,15 +23,15 @@
 Depends: adduser,
          lsb-base (>=3.0-6),
          python3-pkg-resources,
+         hddtemp,
+         lm-sensors,
+         python3-netifaces,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: hddtemp,
-            lm-sensors,
-            python3-bottle,
+Recommends: python3-bottle,
             python3-docker,
             python3-influxdb,
             python3-matplotlib,
-            python3-netifaces,
             python3-pysnmp4,
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}
