=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
 
 # Split package and documentation
 override_dh_sphinxdoc:
@@ -37,7 +38,6 @@
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
-	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/9a360c92ce9bda60a8da6389741dcfbf.png
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots
