## glances 3.2.4.2%2Bdfsg

=== debian/changelog ===
glances (3.2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update Homepage field.
    + Remove hddtemp from Recommends field. (Closes: #1001940)
  * debian/rules
    + Some commented lines are deleted.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 19 Dec 2021 11:48:54 -0500
