## glances 3.2.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -36,10 +36,10 @@
 
 docs-server: docs
 	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
-	cd docs/_build/html/ && ./venv/bin/python -m SimpleHTTPServer $(PORT)
+	cd docs/_build/html/ && ../../../venv/bin/python -m http.server $(PORT)
 
 webui: venv-dev
-	cd glances/outputs/static/ && npm install && npm audit fix && npm run build
+	cd glances/outputs/static/ && npm ci && npm run build
 
 run: venv
 	./venv/bin/python -m glances -C ./conf/glances.conf
