=== requirements.txt ===
psutil>=5.3.0
defusedxml
future
packaging
