=== debian/changelog ===
glances (3.2.4.2+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports. (Closes: #1003426)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 14:52:00 -0500
