=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -15,7 +14,7 @@
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
-Homepage: https://nicolargo.github.com/glances/
+Homepage: https://github.com/nicolargo/glances
 Rules-Requires-Root: no
 
 Package: glances
@@ -23,15 +22,14 @@
 Depends: adduser,
          lsb-base (>=3.0-6),
          python3-pkg-resources,
-         hddtemp,
-         lm-sensors,
-         python3-netifaces,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-bottle,
+Recommends: lm-sensors,
+            python3-bottle,
             python3-docker,
             python3-influxdb,
             python3-matplotlib,
+            python3-netifaces,
             python3-pysnmp4,
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}
