=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 # Split package and documentation
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
-	# Remove embedded code copies
-	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
-	#rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
 	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/doctools.js
