## glances 3.2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,10 @@
 	./venv/bin/python ./unitest.py
 	./venv/bin/python ./unitest-restful.py
 	./venv/bin/python ./unitest-xmlrpc.py
+	./venv/bin/python -m black ./glances --check --exclude outputs/static
+
+format: venv
+	./venv/bin/python -m black ./glances --exclude outputs/static
 
 docs: venv-dev
 	./venv/bin/python -m glances -C ./conf/glances.conf --api-doc > ./docs/api.rst
@@ -71,6 +75,13 @@
 profiling: venv venv-dev
 	@echo "Please complete and run: sudo ./venv/bin/py-spy record -o ./docs/_static/glances-flame.svg -d 60 -s --pid <GLANCES PID>"
 
+trace-malloc: venv
+	@echo "Malloc test is running, please wait ~30 secondes..."
+	./venv/bin/python -m glances -C ./conf/glances.conf --trace-malloc --stop-after 15 --quiet
+
+memory-leak: venv
+	./venv/bin/python -m glances -C ./conf/glances.conf --memory-leak
+
 release-note:
 	git --no-pager log $(LASTTAG)..HEAD --first-parent --pretty=format:"* %s"
 	@echo "\n"
