=== debian/changelog ===
glances (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh 004_disable-pypi.patch patch.
    + Refresh 006_indicate_user_webserver_static_files_not_included.patch

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 16 Apr 2022 18:39:34 -0500
