=== debian/changelog ===
glances (3.3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add python3-ujson in B-D.
    + Use sysvinit-utils (>= 3.05-4~) instead lsb-base depend.
    + Bump to Standards-Version 4.6.2
  * debian/copyright
    + Extend copyright debian holders years.
  * debian/patches
    + Refresh 002_no_put_links_in_doc.patch
    + Refresh 003_not_install_static_dir.patch
    + Refresh 007_disable_ip_module_by_default.diff

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 21 Jan 2023 16:45:28 -0500

glances (3.3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump to Standards-Version 4.6.1.0 (no changes needed).
  * debian/patches
    + Refresh 004_disable-pypi.patch.
    + Refresh 007_disable_ip_module_by_default.diff
  * debian/copyright
    + Extend copyright debian holders years.
    + Update my lastname and my email.
  * debian/rules
    + Remove ESLint config file.
    + Remove .gitignore file.
  * Update debian/NEWS file.
  * Remove glances.lintian-overrides files.
    + the warning no longer exists.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 22 Oct 2022 22:57:16 -0500

glances (3.2.5+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:07:34 +0200
