=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
+	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/.eslintrc.js
+	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/.gitignore
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots
