## glances 3.4.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -10,8 +11,9 @@
                python3-setuptools,
                python3-sphinx,
 	       python3-defusedxml,
-	       python3-sphinx-rtd-theme
-Standards-Version: 4.6.0.1
+	       python3-sphinx-rtd-theme,
+               python3-ujson
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://github.com/nicolargo/glances
@@ -20,7 +22,7 @@
 Package: glances
 Architecture: all
 Depends: adduser,
-         lsb-base (>=3.0-6),
+         sysvinit-utils (>= 3.05-4~),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -34,6 +36,7 @@
             python3-pystache
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: glances-doc, python3-pynvml
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Curses-based monitoring tool
  Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
  Glances uses the PsUtil library to get information from your system.
